cart.add = function(product_id, quantity, obj) {  
      var postData;            
      if(typeof(obj) != 'undefined'){
        postData=obj;        
      }
      else{
        postData='product_id=' + product_id + '&quantity=' + (typeof(quantity) != 'undefined' ? quantity : 1);
      }
    $.ajax({
        url: 'index.php?route=checkout/cart/add',
        type: 'post',
        // data: 'product_id=' + product_id + '&quantity=' + (typeof(quantity) != 'undefined' ? quantity : 1),
        data:postData,
        dataType: 'json',
        beforeSend: function() {
         
            $('#cart > button').button('loading');
        },
        complete: function() {

            $('#cart > button').button('reset');
        },
        success: function(json) {
             
            $('.alert, .text-danger').remove();
    
            if (json['redirect']) {
                location = json['redirect'];
            }
    
            if (json['success']) {
            
                if (window.applySweetAlert === false) {
                    $('#content').parent().before('<div class="alert alert-success"><i class="fa fa-check-circle"></i> ' + json['success'] + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
                }else{
                    
                    //var words = ['Awesome!', 'Cool!', 'Great!', 'Amazing!'];
var words = ['Awesome!', 'Cool!', 'Great!', 'Amazing!'];

var swAllowOutsideClick = true;
var swAutoCloseSeconds  = null;



swal({
    title  : "<img style='max-width: 33px; vertical-align: baseline;' src='image/catalog/likes.png' />" + words[Math.floor(Math.random() * words.length)], 
    "html" : true, 
    "text" : json['success'], 
    "type" : "success", 
    "timer": swAutoCloseSeconds,
    "allowOutsideClick" : swAllowOutsideClick
});


                }
    
                // Need to set timeout otherwise it wont update the total
                setTimeout(function () {
                    $('#cart > button').html('<span id="cart-total"><i class="fa fa-shopping-cart"></i> ' + json['total'] + '</span>');
                }, 100);
    
                if (window.applySweetAlert === false) {
                    $('html, body').animate({ scrollTop: 0 }, 'slow');
                }
    
                $('#cart > ul').load('index.php?route=common/cart/info ul li');
            }
        },
        error: function(xhr, ajaxOptions, thrownError) {
            alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
        }
    });
}   //cart.add